summaryrefslogtreecommitdiffstats
path: root/src/gallium/drivers/panfrost/ci/deqp-runner.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/gallium/drivers/panfrost/ci/deqp-runner.sh')
-rw-r--r--src/gallium/drivers/panfrost/ci/deqp-runner.sh108
1 files changed, 83 insertions, 25 deletions
diff --git a/src/gallium/drivers/panfrost/ci/deqp-runner.sh b/src/gallium/drivers/panfrost/ci/deqp-runner.sh
index c468d95d2b4..c6b2cce8882 100644
--- a/src/gallium/drivers/panfrost/ci/deqp-runner.sh
+++ b/src/gallium/drivers/panfrost/ci/deqp-runner.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-set -x
-
DEQP_OPTIONS="--deqp-surface-width=256 --deqp-surface-height=256"
DEQP_OPTIONS="$DEQP_OPTIONS --deqp-visibility=hidden"
DEQP_OPTIONS="$DEQP_OPTIONS --deqp-log-images=disable"
@@ -24,26 +22,86 @@ sleep 1 # Give some time for Weston to start up
./deqp-gles2 $DEQP_OPTIONS --deqp-runmode=stdout-caselist | grep "TEST: dEQP-GLES2" | cut -d ' ' -f 2 > /tmp/case-list.txt
# Disable for now tests that are very slow, either by just using lots of CPU or by crashing
-sed -i '/dEQP-GLES2.performance/d' /tmp/case-list.txt
-sed -i '/dEQP-GLES2.stress/d' /tmp/case-list.txt
-sed -i '/dEQP-GLES2.functional.fbo.render.depth./d' /tmp/case-list.txt
-sed -i '/dEQP-GLES2.functional.flush_finish./d' /tmp/case-list.txt
-
-# Cannot use tee because dash doesn't have pipefail
-touch /tmp/result.txt
-tail -f /tmp/result.txt &
-
-while [ -s /tmp/case-list.txt ]; do
- ./deqp-gles2 $DEQP_OPTIONS --deqp-log-filename=/dev/null --deqp-caselist-file=/tmp/case-list.txt >> /tmp/result.txt
- if [ $? -ne 0 ]; then
- # Continue from the subtest after the failing one
- crashed_test=$(grep "Test case" /tmp/result.txt | tail -1 | sed "s/Test case '\(.*\)'\.\./\1/")
- sed -i "0,/^$crashed_test$/d" /tmp/case-list.txt
-
- # So LAVA knows what happened
- echo "Test case '$crashed_test'..
- Crash"
- else
- break
- fi
-done
+FLIP_FLOPS="
+ dEQP-GLES2.performance
+ dEQP-GLES2.stress
+ dEQP-GLES2.functional.fbo.render.depth.
+ dEQP-GLES2.functional.flush_finish.
+ "
+
+# These pass or fail seemingly at random
+FLIP_FLOPS="$FLIP_FLOPS
+ dEQP-GLES2.performance
+ dEQP-GLES2.stress
+ dEQP-GLES2.functional.fbo.render.depth.
+ dEQP-GLES2.functional.flush_finish.
+ dEQP-GLES2.functional.clipping.triangle_vertex.clip_three.clip_neg_x_neg_z_and_pos_x_pos_z_and_neg_x_neg_y_pos_z
+ dEQP-GLES2.functional.clipping.triangle_vertex.clip_three.clip_pos_y_pos_z_and_neg_x_neg_y_pos_z_and_pos_x_pos_y_neg_z
+ dEQP-GLES2.functional.fbo.render.color.blend_rbo_rgb5_a1
+ dEQP-GLES2.functional.fbo.render.color.blend_rbo_rgb5_a1_depth_component16
+ dEQP-GLES2.functional.fbo.render.color.blend_rbo_rgba4
+ dEQP-GLES2.functional.fbo.render.color.blend_rbo_rgba4_depth_component16
+ dEQP-GLES2.functional.fbo.render.color.blend_npot_rbo_rgb5_a1
+ dEQP-GLES2.functional.fbo.render.color.blend_npot_rbo_rgb5_a1_depth_component16
+ dEQP-GLES2.functional.fbo.render.color.blend_npot_rbo_rgba4
+ dEQP-GLES2.functional.fbo.render.color.blend_npot_rbo_rgba4_depth_component16
+ dEQP-GLES2.functional.fbo.render.color_clear.rbo_rgb5_a1
+ dEQP-GLES2.functional.fbo.render.color_clear.rbo_rgb5_a1_depth_component16
+ dEQP-GLES2.functional.fbo.render.color_clear.rbo_rgb5_a1_stencil_index8
+ dEQP-GLES2.functional.fbo.render.color_clear.rbo_rgba4_depth_component16
+ dEQP-GLES2.functional.fbo.render.color_clear.rbo_rgba4_stencil_index8
+ dEQP-GLES2.functional.fbo.render.recreate_depthbuffer.
+ dEQP-GLES2.functional.fbo.render.recreate_stencilbuffer.
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer_clear.rbo_rgb5_a1
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer_clear.rbo_rgba4
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer_clear.tex2d_rgb
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer_clear.tex2d_rgba
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer.rbo_rgb5_a1
+ dEQP-GLES2.functional.fbo.render.shared_colorbuffer.rbo_rgba4
+ dEQP-GLES2.functional.fbo.render.shared_depthbuffer.rbo_rgb5_a1_depth_component16
+ dEQP-GLES2.functional.fbo.render.shared_depthbuffer.rbo_rgba4_depth_component16
+ dEQP-GLES2.functional.fbo.render.stencil_clear.rbo_rgb5_a1_stencil_index8
+ dEQP-GLES2.functional.fbo.render.stencil.npot_rbo_rgb5_a1_stencil_index8
+ dEQP-GLES2.functional.fbo.render.stencil.npot_rbo_rgba4_stencil_index8
+ dEQP-GLES2.functional.fbo.render.stencil.rbo_rgb5_a1_stencil_index8
+ dEQP-GLES2.functional.fbo.render.stencil.rbo_rgba4_stencil_index8
+ dEQP-GLES2.functional.lifetime.attach.deleted_input.renderbuffer_framebuffer
+ dEQP-GLES2.functional.lifetime.attach.deleted_output.renderbuffer_framebuffer
+ dEQP-GLES2.functional.polygon_offset.fixed16_factor_0_slope
+ dEQP-GLES2.functional.polygon_offset.fixed16_factor_1_slope
+ dEQP-GLES2.functional.shaders.invariance.highp.loop_4
+ dEQP-GLES2.functional.shaders.matrix.mul.dynamic_highp_mat4_vec4_vertex
+ dEQP-GLES2.functional.shaders.matrix.mul.dynamic_highp_vec4_mat4_fragment
+ dEQP-GLES2.functional.shaders.operator.common_functions.smoothstep.mediump_vec3_vertex
+ dEQP-GLES2.functional.shaders.random.all_features.fragment.12
+ dEQP-GLES2.functional.shaders.random.all_features.fragment.37
+ dEQP-GLES2.functional.texture.units.2_units.mixed.1
+ dEQP-GLES2.functional.texture.units.2_units.mixed.3
+ dEQP-GLES2.functional.texture.units.2_units.only_2d.2
+ dEQP-GLES2.functional.texture.units.4_units.mixed.5
+ dEQP-GLES2.functional.texture.units.4_units.only_2d.0
+ dEQP-GLES2.functional.texture.units.8_units.only_cube.2
+ dEQP-GLES2.functional.texture.units.all_units.mixed.6
+ dEQP-GLES2.functional.texture.units.all_units.only_cube.4
+ dEQP-GLES2.functional.texture.units.all_units.only_cube.7
+ dEQP-GLES2.functional.texture.units.all_units.only_cube.8
+ "
+
+for test in $FLIP_FLOPS; do sed -i "/$test/d" /tmp/case-list.txt; done
+
+/deqp/deqp-volt --cts-build-dir=/deqp \
+ --threads=8 \
+ --test-names-file=/tmp/case-list.txt \
+ --results-file=/tmp/results.txt \
+ --no-passed-results \
+ --regression-file=/deqp/expected-failures.txt \
+ --no-rerun-tests
+
+if [ $? -ne 0 ]; then
+ echo "Regressions detected, printing results:"
+ cat /tmp/results.txt
+ echo "deqp: fail"
+else
+ echo "No regressions detected"
+ echo "deqp: pass"
+fi